package org.matrix.exception;

/**
 * 当用户需要执行的 用例或者任务 正在执行中时抛出这个异常.
 *
 * @author huangxiahao
 * @since 2022/1/19 at 12:53 PM
 * Suffering is the most powerful teacher of life.
 */
public class ExecutionRunningException extends RuntimeException {
    public ExecutionRunningException(String message) {
        super(message);
    }

    public ExecutionRunningException(String message, Throwable cause) {
        super(message, cause);
    }

    public ExecutionRunningException(Throwable cause) {
        super(cause);
    }

    public ExecutionRunningException() {
        super();
    }
}
